コンテンツへスキップ

ブラウザプロファイルを開始する

Request

プロファイルの起動に使用します。プロファイルIDを指定する必要があります。起動が成功すると、プロファイルのデバッグインターフェースを取得して、SeleniumおよびPuppeteerによる自動化を実行できます。Seleniumを使用する場合は、対応するカーネルバージョンに一致するWebDriverを使用してください。WebDriverのパスは、プロファイル起動後のレスポンスから取得できます。MoreLoginクライアントバージョン2.15.0以降が必要です。

Bodyapplication/jsonrequired
envIdstring

環境ID。envIdまたはuniqueIdのいずれか、少なくとも1つを指定する必要があります。

両方が指定されている場合は、envIdが優先されます。

Example:"1993244721490239488"
uniqueIdinteger

環境シリアル番号(小整数ID)。envIdまたはuniqueIdのいずれか一方を必ず指定してください。

両方が指定されている場合は、envIdが優先されます。

Example:1
encryptKeystring

暗号化キー。環境においてエンドツーエンド暗号化が有効になっている場合にのみ必要です。

Example:"xxx"
isHeadlessboolean

ヘッドレスモードで起動するかどうか。省略した場合、デフォルトはfalseになります。

注:クライアントバージョンv2.36.0以降が必要です。

Example:false
cdpEvasionboolean

CDPフィンガープリント回避機能を有効にして、検出リスクを低減します。

PC環境のみに適用されます。

デフォルト:false

注:クライアントバージョンv2.36.0以降が必要です。

Example:false
closeCheckIPPageboolean

Whether to skip opening the detection page. true: Proxy detection before execution false: Proxy detection after execution Note: Requires client version v2.56.0 or higher.

Example:false
checkIPErrorHandleinteger

Action to take if proxy detection fails Numeric type: 1 or 2 1: Do not start the environment if proxy detection fails 2: Start the environment even if proxy detection fails If closeCheckIPPage is passed a parameter, this parameter is omitted; default: 1 Note: Requires client version v2.56.0 or higher.

Example:1
POST
/api/env/start
curl -i -X POST \
  http://127.0.0.1:40000/api/env/start \
  -H 'Content-Type: application/json' \
  -d '{
    "envId": "1993244721490239488",
    "isHeadless": false,
    "cdpEvasion": true
  }'

Responses

Headers
any
Bodyapplication/json
codeinteger
msgstring
dataobjectrequired
Response
{ "code": 0, "msg": "string", "data": { "envId": "string", "debugPort": "string", "type": "string", "version": 0, "webdriver": "string" } }